Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/filedisplay.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/filedisplay.pt	(revision 7875)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/filedisplay.pt	(revision 7876)
@@ -4,11 +4,9 @@
   </td>
   <td>
-    <span class="widget">
-      <a tal:attributes="href viewlet/download_name"
-         tal:content="viewlet/download_name"
-         target="image">
-        LINK
-      </a>
-    </span>
+    <a tal:attributes="href viewlet/download_name"
+       tal:content="viewlet/download_name"
+       target="image">
+      LINK
+    </a>
   </td>
 </tr>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/fileupload.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/fileupload.pt	(revision 7875)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/fileupload.pt	(revision 7876)
@@ -4,30 +4,28 @@
   </td>
   <td>
-    <span class="widget">
-      <tal:file tal:condition="viewlet/file_exists">
-        <a tal:attributes="href viewlet/download_name"
-           tal:content="viewlet/title"
-           target="image">
-          LINK
-        </a>
-      </tal:file>
-      <br />
-      <input type="file" tal:attributes="name viewlet/input_name"/>
-      <br /><br />
-      <input type="submit" tal:condition="viewlet/file_exists"
-             tal:attributes="id python:('delete_%s' % viewlet.input_name);
-                name python:('delete_%s' % viewlet.input_name);
-                value viewlet/delete_button"
-             class="btn error" />
-      <input type="submit"
-               tal:attributes="id python:('upload_%s' % viewlet.input_name);
-                  name python:('upload_%s' % viewlet.input_name);
-                  value viewlet/upload_button"
-               class="btn primary" />
-      <span i18n:translate="">
-        Max. file size:
-      </span>
-      <span tal:replace="viewlet/max_upload_size">10 KB</span>
+    <tal:file tal:condition="viewlet/file_exists">
+      <a tal:attributes="href viewlet/download_name"
+         tal:content="viewlet/title"
+         target="image">
+        LINK
+      </a>
+    </tal:file>
+    <br />
+    <input type="file" tal:attributes="name viewlet/input_name"/>
+    <br /><br />
+    <input type="submit" tal:condition="viewlet/file_exists"
+           tal:attributes="id python:('delete_%s' % viewlet.input_name);
+              name python:('delete_%s' % viewlet.input_name);
+              value viewlet/delete_button"
+           class="btn error" />
+    <input type="submit"
+             tal:attributes="id python:('upload_%s' % viewlet.input_name);
+                name python:('upload_%s' % viewlet.input_name);
+                value viewlet/upload_button"
+             class="btn primary" />
+    <span i18n:translate="">
+      Max. file size:
     </span>
+    <span tal:replace="viewlet/max_upload_size">10 KB</span>
     <br />
   </td>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/imageupload.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/imageupload.pt	(revision 7875)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/imageupload.pt	(revision 7876)
@@ -4,24 +4,22 @@
   </td>
   <td>
-    <span class="widget">
-      <img align="middle" height="125px"
-           tal:attributes="src viewlet/download_name" />
-      <input type="submit" tal:condition="viewlet/file_exists"
-       tal:attributes="id python:('delete_%s' % viewlet.input_name);
-          name python:('delete_%s' % viewlet.input_name)"
-       value="Delete" class="btn error" />
-      <br /><br />
-      <input type="file" tal:attributes="name viewlet/input_name"/>
-      <br /><br />
-      <input type="submit"
-               tal:attributes="id python:('upload_%s' % viewlet.input_name);
-                  name python:('upload_%s' % viewlet.input_name);
-                  value viewlet/upload_button"
-               value="Upload" class="btn primary" />
-      <span i18n:translate="">
-        Max. file size:
-      </span>
-      <span tal:replace="viewlet/max_upload_size">10 KB</span>
+    <img align="middle" height="125px"
+         tal:attributes="src viewlet/download_name" />
+    <input type="submit" tal:condition="viewlet/file_exists"
+     tal:attributes="id python:('delete_%s' % viewlet.input_name);
+        name python:('delete_%s' % viewlet.input_name)"
+     value="Delete" class="btn error" />
+    <br /><br />
+    <input type="file" tal:attributes="name viewlet/input_name"/>
+    <br /><br />
+    <input type="submit"
+             tal:attributes="id python:('upload_%s' % viewlet.input_name);
+                name python:('upload_%s' % viewlet.input_name);
+                value viewlet/upload_button"
+             value="Upload" class="btn primary" />
+    <span i18n:translate="">
+      Max. file size:
     </span>
+    <span tal:replace="viewlet/max_upload_size">10 KB</span>
   </td>
 </tr>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studycoursepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studycoursepage.pt	(revision 7875)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studycoursepage.pt	(revision 7876)
@@ -9,5 +9,5 @@
         </td>
         <td tal:on-error="default">
-          <div class="widget" tal:content="structure widget">
+          <div tal:content="structure widget">
             <input type="text" />
           </div>
@@ -19,7 +19,7 @@
             Study Mode:
         </td>
-        <td class="field">
-          <div class="widget" tal:content="view/current_mode">
-            <input type="text" />
+        <td>
+          <div tal:content="view/current_mode">
+          CURRENTMODE
           </div>
         </td>
@@ -29,6 +29,6 @@
             Department:
         </td>
-        <td class="field">
-          <a tal:attributes="href python: view.url(view.department)" class="widget"
+        <td>
+          <a tal:attributes="href python: view.url(view.department)"
                tal:content="view/department/longtitle">
             DEPARTMENT
@@ -40,6 +40,6 @@
             Faculty:
         </td>
-        <td class="field">
-          <a tal:attributes="href python: view.url(view.faculty)" class="widget"
+        <td>
+          <a tal:attributes="href python: view.url(view.faculty)" 
                tal:content="view/faculty/longtitle">
             FACULTY
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 7875)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 7876)
@@ -9,5 +9,5 @@
         </td>
         <td tal:on-error="default">
-          <div class="widget" tal:content="structure widget">
+          <div tal:content="structure widget">
             <input type="text" />
           </div>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7875)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7876)
@@ -473,5 +473,5 @@
         self.assertEqual(self.browser.url, student_path + '/studycourse')
         self.assertFalse('CERT1' in self.browser.contents)
-        self.assertMatches('...<div class="widget">Nothing</div>...',
+        self.assertMatches('...<div>Nothing</div>...',
                            self.browser.contents)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7875)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7876)
@@ -369,5 +369,5 @@
     grok.view(StudentBaseDisplayFormPage)
     grok.require('waeup.handleStudent')
-    text = _('Edit base data')
+    text = _('Edit')
     target = 'edit_base'
 