Index: main/waeup.custom/trunk/src/waeup/custom/interfaces.py
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/interfaces.py	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/interfaces.py	(revision 7880)
@@ -29,12 +29,16 @@
     """
 
+    # Base fees, do not remove.
+
     school_fee_base = schema.Int(
         title = _(u'School Fee (ignored)'),
         default = 0,
+        required = False,
         )
 
     surcharge_1 = schema.Int(
-        title = _(u'Surcharge BT'),
+        title = _(u'Surcharge Portal Provider'),
         default = 0,
+        required = False,
         )
 
@@ -42,4 +46,5 @@
         title = _(u'Surcharge Interswitch'),
         default = 0,
+        required = False,
         )
 
@@ -47,9 +52,11 @@
         title = _(u'Surcharge 3'),
         default = 0,
+        required = False,
         )
 
-    clearance = schema.Int(
+    clearance_fee = schema.Int(
         title = _(u'Clearance Fee'),
         default = 0,
+        required = False,
         )
 
@@ -57,9 +64,19 @@
         title = _(u'Booking Fee'),
         default = 0,
+        required = False,
         )
+
+    acceptance_fee = schema.Int(
+        title = _(u'Acceptance Fee'),
+        default = 0,
+        required = False,
+        )
+
+    # Additional fees in waeup.custom
 
     maint_fee = schema.Int(
         title = _(u'Maintenance Fee'),
         default = 0,
+        required = False,
         )
 
@@ -67,4 +84,5 @@
         title = _(u'Gown Fee'),
         default = 0,
+        required = False,
         )
 
@@ -72,4 +90,5 @@
         title = _(u'Transfer Fee'),
         default = 0,
+        required = False,
         )
 
Index: main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po	(revision 7880)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
-"PO-Revision-Date: 2012-03-09 08:17+0100\n"
+"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
+"PO-Revision-Date: 2012-03-14 16:36+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -28,46 +28,86 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
+#: waeup/custom/applicants/container.py:38
+msgid "Postgraduates"
+msgstr "Postgraduierte"
+
+#: waeup/custom/applicants/container.py:39
+msgid "handles postgraduate applicants"
+msgstr "für Antragsteller von Postgraduierten-Studiengängen"
+
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
 msgstr "Benutzerdefiniertes Thema 1"
 
-#: waeup/custom/interfaces.py:32
-msgid "School Fee (ignored)"
-msgstr ""
-
-#: waeup/custom/interfaces.py:37
-msgid "Surcharge BT"
-msgstr ""
-
-#: waeup/custom/interfaces.py:42
-msgid "Surcharge Interswitch"
-msgstr ""
-
-#: waeup/custom/interfaces.py:47
-msgid "Surcharge 3"
-msgstr ""
-
-#: waeup/custom/interfaces.py:52
-msgid "Clearance Fee"
-msgstr ""
-
-#: waeup/custom/interfaces.py:57
-msgid "Booking Fee"
-msgstr ""
-
-#: waeup/custom/interfaces.py:62
-msgid "Maintenance Fee"
-msgstr ""
-
-#: waeup/custom/interfaces.py:67
-msgid "Gown Fee"
-msgstr ""
-
-#: waeup/custom/interfaces.py:72
-msgid "Transfer Fee"
-msgstr ""
-
-#: waeup/custom/interfaces.py:86
+#: waeup/custom/interfaces.py:105
 msgid "Academic Session"
 msgstr "Akademisches Jahr"
 
+#: waeup/custom/interfaces.py:34
+msgid "School Fee (ignored)"
+msgstr "Schulgebühr (wird nicht verwendet)"
+
+#: waeup/custom/interfaces.py:40
+msgid "Surcharge Portal Provider"
+msgstr "Gebühr Portal-Provider"
+
+#: waeup/custom/interfaces.py:46
+msgid "Surcharge Interswitch"
+msgstr "Gebühr Interswitch"
+
+#: waeup/custom/interfaces.py:52
+msgid "Surcharge 3"
+msgstr "Gebühr 3"
+
+#: waeup/custom/interfaces.py:58
+msgid "Clearance Fee"
+msgstr "Einschreibungsgebühr"
+
+#: waeup/custom/interfaces.py:64
+msgid "Booking Fee"
+msgstr "Buchungsgebühr"
+
+#: waeup/custom/interfaces.py:70
+msgid "Acceptance Fee"
+msgstr "Zulassungsgebühr"
+
+#: waeup/custom/interfaces.py:78
+msgid "Maintenance Fee"
+msgstr "Miete"
+
+#: waeup/custom/interfaces.py:84
+msgid "Gown Fee"
+msgstr "Talar-Gebühr"
+
+#: waeup/custom/interfaces.py:90
+msgid "Transfer Fee"
+msgstr "Studienfachwechselgebühr"
+
+#: waeup/custom/students/browser.py:112
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr "Bewertete Bezahl-Tickets können nicht erneut gesendet werden."
+
+#: waeup/custom/students/browser.py:74
+msgid "CollegePAY"
+msgstr "CollegePAY"
+
+#: waeup/custom/students/browser.py:80
+msgid "Request CollegePAY callback"
+msgstr "CollegePAY Rückruf"
+
+#: waeup/custom/students/browser.py:92
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr "Daten an CollegePAY (Interswitch Payment Gateway) senden"
+
+#: waeup/custom/students/browser.py:93
+msgid "Submit"
+msgstr "Senden"
+
+#: waeup/custom/students/utils.py:70
+msgid "Session configuration object is not available."
+msgstr "Session-Konfiguration ist nicht verfügbar."
+
+#: waeup/custom/students/utils.py:91
+msgid "Amount could not be determined."
+msgstr "Betrag konnte nicht ermittelt werden."
+
Index: main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.custom.po	(revision 7880)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.custom.po	(revision 7880)
@@ -0,0 +1,109 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: waeup/custom/applicants/container.py:38
+msgid "Postgraduates"
+msgstr ""
+
+#: waeup/custom/applicants/container.py:39
+msgid "handles postgraduate applicants"
+msgstr ""
+
+#: waeup/custom/browser/theming.py:30
+msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/interfaces.py:105
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/custom/interfaces.py:34
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/custom/interfaces.py:40
+msgid "Surcharge Portal Provider"
+msgstr ""
+
+#: waeup/custom/interfaces.py:46
+msgid "Surcharge Interswitch"
+msgstr ""
+
+#: waeup/custom/interfaces.py:52
+msgid "Surcharge 3"
+msgstr ""
+
+#: waeup/custom/interfaces.py:58
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:64
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:70
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:78
+msgid "Maintenance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:84
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:90
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/custom/students/browser.py:112
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr ""
+
+#: waeup/custom/students/browser.py:74
+msgid "CollegePAY"
+msgstr ""
+
+#: waeup/custom/students/browser.py:80
+msgid "Request CollegePAY callback"
+msgstr ""
+
+#: waeup/custom/students/browser.py:92
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/students/browser.py:93
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/students/utils.py:70
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/custom/students/utils.py:91
+msgid "Amount could not be determined."
+msgstr ""
Index: main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 7880)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
 "PO-Revision-Date: 2012-03-09 08:17+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,46 +28,85 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
+#: waeup/custom/applicants/container.py:38
+msgid "Postgraduates"
+msgstr ""
+
+#: waeup/custom/applicants/container.py:39
+msgid "handles postgraduate applicants"
+msgstr ""
+
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
 msgstr ""
 
-#: waeup/custom/interfaces.py:32
+#: waeup/custom/interfaces.py:105
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/custom/interfaces.py:34
 msgid "School Fee (ignored)"
 msgstr ""
 
-#: waeup/custom/interfaces.py:37
-msgid "Surcharge BT"
+#: waeup/custom/interfaces.py:40
+msgid "Surcharge Portal Provider"
 msgstr ""
 
-#: waeup/custom/interfaces.py:42
+#: waeup/custom/interfaces.py:46
 msgid "Surcharge Interswitch"
 msgstr ""
 
-#: waeup/custom/interfaces.py:47
+#: waeup/custom/interfaces.py:52
 msgid "Surcharge 3"
 msgstr ""
 
-#: waeup/custom/interfaces.py:52
+#: waeup/custom/interfaces.py:58
 msgid "Clearance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:57
+#: waeup/custom/interfaces.py:64
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:62
+#: waeup/custom/interfaces.py:70
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:78
 msgid "Maintenance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:67
+#: waeup/custom/interfaces.py:84
 msgid "Gown Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:72
+#: waeup/custom/interfaces.py:90
 msgid "Transfer Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:86
-msgid "Academic Session"
+#: waeup/custom/students/browser.py:112
+msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
+#: waeup/custom/students/browser.py:74
+msgid "CollegePAY"
+msgstr ""
+
+#: waeup/custom/students/browser.py:80
+msgid "Request CollegePAY callback"
+msgstr ""
+
+#: waeup/custom/students/browser.py:92
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/students/browser.py:93
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/students/utils.py:70
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/custom/students/utils.py:91
+msgid "Amount could not be determined."
+msgstr ""
Index: main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 7880)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
 "PO-Revision-Date: 2012-03-09 08:16+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,46 +28,85 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
+#: waeup/custom/applicants/container.py:38
+msgid "Postgraduates"
+msgstr ""
+
+#: waeup/custom/applicants/container.py:39
+msgid "handles postgraduate applicants"
+msgstr ""
+
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
 msgstr ""
 
-#: waeup/custom/interfaces.py:32
+#: waeup/custom/interfaces.py:105
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/custom/interfaces.py:34
 msgid "School Fee (ignored)"
 msgstr ""
 
-#: waeup/custom/interfaces.py:37
-msgid "Surcharge BT"
+#: waeup/custom/interfaces.py:40
+msgid "Surcharge Portal Provider"
 msgstr ""
 
-#: waeup/custom/interfaces.py:42
+#: waeup/custom/interfaces.py:46
 msgid "Surcharge Interswitch"
 msgstr ""
 
-#: waeup/custom/interfaces.py:47
+#: waeup/custom/interfaces.py:52
 msgid "Surcharge 3"
 msgstr ""
 
-#: waeup/custom/interfaces.py:52
+#: waeup/custom/interfaces.py:58
 msgid "Clearance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:57
+#: waeup/custom/interfaces.py:64
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:62
+#: waeup/custom/interfaces.py:70
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:78
 msgid "Maintenance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:67
+#: waeup/custom/interfaces.py:84
 msgid "Gown Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:72
+#: waeup/custom/interfaces.py:90
 msgid "Transfer Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:86
-msgid "Academic Session"
+#: waeup/custom/students/browser.py:112
+msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
+#: waeup/custom/students/browser.py:74
+msgid "CollegePAY"
+msgstr ""
+
+#: waeup/custom/students/browser.py:80
+msgid "Request CollegePAY callback"
+msgstr ""
+
+#: waeup/custom/students/browser.py:92
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/students/browser.py:93
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/students/utils.py:70
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/custom/students/utils.py:91
+msgid "Amount could not be determined."
+msgstr ""
Index: main/waeup.custom/trunk/src/waeup/custom/locales/waeup.custom.pot
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/waeup.custom.pot	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/waeup.custom.pot	(revision 7880)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -24,46 +24,86 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
+#: waeup/custom/applicants/container.py:38
+msgid "Postgraduates"
+msgstr ""
+
+#: waeup/custom/applicants/container.py:39
+msgid "handles postgraduate applicants"
+msgstr ""
+
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
 msgstr ""
 
-#: waeup/custom/interfaces.py:32
+#: waeup/custom/interfaces.py:105
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/custom/interfaces.py:34
 msgid "School Fee (ignored)"
 msgstr ""
 
-#: waeup/custom/interfaces.py:37
-msgid "Surcharge BT"
+#: waeup/custom/interfaces.py:40
+msgid "Surcharge Portal Provider"
 msgstr ""
 
-#: waeup/custom/interfaces.py:42
+#: waeup/custom/interfaces.py:46
 msgid "Surcharge Interswitch"
 msgstr ""
 
-#: waeup/custom/interfaces.py:47
+#: waeup/custom/interfaces.py:52
 msgid "Surcharge 3"
 msgstr ""
 
-#: waeup/custom/interfaces.py:52
+#: waeup/custom/interfaces.py:58
 msgid "Clearance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:57
+#: waeup/custom/interfaces.py:64
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:62
+#: waeup/custom/interfaces.py:70
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:78
 msgid "Maintenance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:67
+#: waeup/custom/interfaces.py:84
 msgid "Gown Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:72
+#: waeup/custom/interfaces.py:90
 msgid "Transfer Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:86
-msgid "Academic Session"
+#: waeup/custom/students/browser.py:112
+msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
+#: waeup/custom/students/browser.py:74
+msgid "CollegePAY"
+msgstr ""
+
+#: waeup/custom/students/browser.py:80
+msgid "Request CollegePAY callback"
+msgstr ""
+
+#: waeup/custom/students/browser.py:92
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/students/browser.py:93
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/students/utils.py:70
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/custom/students/utils.py:91
+msgid "Amount could not be determined."
+msgstr ""
+
Index: main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 7880)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Thu Feb 23 18:36:34 2012\n"
+"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
 "PO-Revision-Date: 2012-03-09 08:17+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,46 +28,85 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
+#: waeup/custom/applicants/container.py:38
+msgid "Postgraduates"
+msgstr ""
+
+#: waeup/custom/applicants/container.py:39
+msgid "handles postgraduate applicants"
+msgstr ""
+
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
 msgstr ""
 
-#: waeup/custom/interfaces.py:32
+#: waeup/custom/interfaces.py:105
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/custom/interfaces.py:34
 msgid "School Fee (ignored)"
 msgstr ""
 
-#: waeup/custom/interfaces.py:37
-msgid "Surcharge BT"
+#: waeup/custom/interfaces.py:40
+msgid "Surcharge Portal Provider"
 msgstr ""
 
-#: waeup/custom/interfaces.py:42
+#: waeup/custom/interfaces.py:46
 msgid "Surcharge Interswitch"
 msgstr ""
 
-#: waeup/custom/interfaces.py:47
+#: waeup/custom/interfaces.py:52
 msgid "Surcharge 3"
 msgstr ""
 
-#: waeup/custom/interfaces.py:52
+#: waeup/custom/interfaces.py:58
 msgid "Clearance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:57
+#: waeup/custom/interfaces.py:64
 msgid "Booking Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:62
+#: waeup/custom/interfaces.py:70
+msgid "Acceptance Fee"
+msgstr ""
+
+#: waeup/custom/interfaces.py:78
 msgid "Maintenance Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:67
+#: waeup/custom/interfaces.py:84
 msgid "Gown Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:72
+#: waeup/custom/interfaces.py:90
 msgid "Transfer Fee"
 msgstr ""
 
-#: waeup/custom/interfaces.py:86
-msgid "Academic Session"
+#: waeup/custom/students/browser.py:112
+msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
+#: waeup/custom/students/browser.py:74
+msgid "CollegePAY"
+msgstr ""
+
+#: waeup/custom/students/browser.py:80
+msgid "Request CollegePAY callback"
+msgstr ""
+
+#: waeup/custom/students/browser.py:92
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/students/browser.py:93
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/students/utils.py:70
+msgid "Session configuration object is not available."
+msgstr ""
+
+#: waeup/custom/students/utils.py:91
+msgid "Amount could not be determined."
+msgstr ""
Index: main/waeup.custom/trunk/src/waeup/custom/students/browser.py
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/students/browser.py	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/students/browser.py	(revision 7880)
@@ -117,4 +117,5 @@
         self.amount = (self.context.amount_auth + self.context.surcharge_1 +
             self.context.surcharge_2 + self.context.surcharge_3)
+        self.amount_100 = 100 * self.amount
         self.local_date_time = str(self.context.creation_date)
         certificate = getattr(self.student['studycourse'],'certificate',None)
@@ -126,13 +127,14 @@
             xmldict['faculty'] = None
         xmldict['detail_ref'] = self.context.p_id
-        xmldict['provider_amt'] = self.context.surcharge_1
+        xmldict['provider_amt'] = 100 * self.context.surcharge_1
         xmldict['provider_acct'] = self.provider_acct
         xmldict['provider_bank_id'] = self.provider_bank_id
         xmldict['provider_item_name'] = self.provider_item_name
-        xmldict['institution_amt'] = self.amount
+        xmldict['institution_amt'] = 100 * self.context.amount_auth
         xmldict['institution_acct'] = self.institution_acct
         xmldict['institution_bank_id'] = self.institution_bank_id
         xmldict['institution_item_name'] = self.context.p_category
         xmldict['institution_name'] = self.institution_name
+        # Interswitch amount is not part of the xml data
         xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
Index: main/waeup.custom/trunk/src/waeup/custom/students/browser_templates/goto_interswitch.pt
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/students/browser_templates/goto_interswitch.pt	(revision 7879)
+++ main/waeup.custom/trunk/src/waeup/custom/students/browser_templates/goto_interswitch.pt	(revision 7880)
@@ -62,5 +62,5 @@
   <input type="hidden" name="site_name" tal:attributes="value view/site_name" />
   <input type="hidden" name="local_date_time" tal:attributes="value view/local_date_time" />
-  <input type="hidden" name="amount" tal:attributes="value view/amount" />
+  <input type="hidden" name="amount" tal:attributes="value view/amount_100" />
 
   <input type="hidden" name="txn_ref" tal:attributes="value view/context/p_id" />