Index: WAeUP_SRP/trunk/skins/waeup_aaua/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaua/getSchoolFee.py	(revision 7777)
+++ WAeUP_SRP/trunk/skins/waeup_aaua/getSchoolFee.py	(revision 7885)
@@ -16,9 +16,9 @@
 d['all'] = 0
 
-MPA = ('MPAPT','MEMPT','MMPPT') 
+MPA = ('MPAPT','MEMPT','MMPPT')
 i2_states = ('school_fee_paid','courses_registered','courses_validated',)
 
 if brain.mode == 'ug_sw':    # ug_sw students payment does not depend on the current session
-    if str(brain.level) in ('100','200',) and brain.review_state == 'cleared_and_validated': 
+    if str(brain.level) in ('100','200',) and brain.review_state == 'cleared_and_validated':
         d['all'] = 45000
     elif str(brain.level) in ('100',):   #200 returning students
@@ -27,9 +27,9 @@
         d['all'] = 35000
 elif brain.mode == 'pg_sw':
-     if str(brain.level) == '600' and brain.review_state == 'cleared_and_validated':    # only 600 fresh 
+     if str(brain.level) == '600' and brain.review_state == 'cleared_and_validated':    # only 600 fresh
          d['all'] = 65000
-     else:   
+     else:  
         d['all'] = 80000
-elif brain.session in ('06','07',) and brain.review_state == 'cleared_and_validated': 
+elif brain.session in ('06','07',) and brain.review_state == 'cleared_and_validated':
     if brain.mode == 'dp_pt' and str(brain.level) in ('100',):  
         d['all'] = 40000
@@ -37,9 +37,9 @@
         d['all'] = 50000
     elif brain.mode == 'pg_pt':  
-        if str(brain.level) == '600':    # only 600 fresh 
+        if str(brain.level) == '600':    # only 600 fresh
             d['all'] = 60000
-        if str(brain.level) == '700':    # only 700 fresh 
+        if str(brain.level) == '700':    # only 700 fresh
             d['all'] = 75000
-elif brain.session in ('06',) and brain.review_state == 'returning': 
+elif brain.session in ('06',) and brain.review_state == 'returning':
     if brain.mode == 'dp_pt':  
         d['all'] = 35000
@@ -53,5 +53,5 @@
         else:
             d['all'] = 65000
-        
+       
 elif brain.session in ('07','08','09','10'):    
     if brain.mode == 'dp_pt':  
@@ -61,7 +61,7 @@
             d['all'] = 20000
         elif brain.review_state == 'returning' and instalment == '1':
-            d['all'] = 25000
+            d['all'] = 30000
         elif brain.review_state in i2_states and instalment == '2':
-            d['all'] = 10000
+            d['all'] = 20000
     if brain.mode == 'ug_pt':  
         if brain.review_state == 'cleared_and_validated' and str(brain.level) in ('100','200') and instalment == '1':
@@ -81,10 +81,10 @@
         # 700 level students, two different certificate groups, 700 level repeaters and 700 level returning students exist
         # MPA students
-        elif brain.review_state == 'cleared_and_validated' and str(brain.level) in ('700',) and instalment == '1' and brain.course in MPA:                           
+        elif brain.review_state == 'cleared_and_validated' and str(brain.level) in ('700',) and instalment == '1' and brain.course in MPA:                          
             d['all'] = 85000
-        elif brain.review_state in i2_states and str(brain.level) in ('700',) and instalment == '2' and brain.course in MPA:   
+        elif brain.review_state in i2_states and str(brain.level) in ('700',) and instalment == '2' and brain.course in MPA:  
             d['all'] = 80000
         # non-MPA students
-        elif brain.review_state == 'cleared_and_validated' and str(brain.level) in ('700',) and instalment == '1':                           
+        elif brain.review_state == 'cleared_and_validated' and str(brain.level) in ('700',) and instalment == '1':                          
             d['all'] = 100000
         elif brain.review_state in i2_states and str(brain.level) in ('700',) and instalment == '2':
@@ -105,5 +105,5 @@
         elif brain.review_state in i2_states and instalment == '2':
             d['all'] = 75000
-        
+       
 
 next_info = context.getNextInfo(brain)
@@ -113,2 +113,3 @@
 
 return d
+