Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7872)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7903)
@@ -24,5 +24,4 @@
 from datetime import datetime, date
 from zope.component import getUtility, createObject, getAdapter
-from zope.formlib.form import setUpEditWidgets
 from zope.i18n import translate
 from hurry.workflow.interfaces import (
@@ -150,5 +149,5 @@
 
     form_fields = grok.AutoFields(
-        IApplicantsContainerAdd).omit('code').omit('title', 'description_dict')
+        IApplicantsContainerAdd).omit('code').omit('title')
     form_fields['startdate'].custom_widget = FriendlyDateWidget('le')
     form_fields['enddate'].custom_widget = FriendlyDateWidget('le')
@@ -224,6 +223,5 @@
     pnav = 3
 
-    form_fields = grok.AutoFields(IApplicantsContainer).omit(
-        'title', 'description_dict')
+    form_fields = grok.AutoFields(IApplicantsContainer).omit('title') 
     form_fields['startdate'].custom_widget = FriendlyDateDisplayWidget('le')
     form_fields['enddate'].custom_widget = FriendlyDateDisplayWidget('le')
@@ -251,6 +249,5 @@
     grok.name('manage')
     grok.template('applicantscontainermanagepage')
-    form_fields = grok.AutoFields(IApplicantsContainer).omit(
-        'title', 'description_dict')
+    form_fields = grok.AutoFields(IApplicantsContainer).omit('title')
     taboneactions = [_('Save'),_('Cancel')]
     tabtwoactions = [_('Add applicant'), _('Remove selected'),_('Cancel')]
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py	(revision 7872)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py	(revision 7903)
@@ -59,4 +59,6 @@
     #: to create proper applicant objects.
     factory_name = 'waeup.Applicant'
+    #: A dictionary to hold per language translations of description string.
+    description_dict = {}
 
     @property
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py	(revision 7872)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/export.py	(revision 7903)
@@ -31,5 +31,5 @@
     fields = ('code', 'title', 'prefix', 'entry_level', 'year',
               'provider', 'application_category', 'description',
-              'description_dict', 'startdate', 'enddate', 'strict_deadline')
+              'startdate', 'enddate', 'strict_deadline')
 
     def export(self, containers, filepath=None):
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 7872)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 7903)
@@ -265,9 +265,6 @@
         )
 
-    description_dict = schema.Dict(
-        title = u'Content as language dictionary with values in html format',
-        required = False,
-        default = {},
-        )
+    description_dict = Attribute(
+        """Content as language dictionary with values in HTML format.""")
 
     startdate = schema.Date(
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 7872)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 7903)
@@ -48,6 +48,6 @@
             result,
             'code,title,prefix,entry_level,year,provider,application_category,'
-            'description,description_dict,startdate,enddate,strict_deadline\r\n'
-            'dp2012,-,,100,,,,"This text can been seen by anonymous users.\nHere we put mult-lingual information about the study courses provided, the application procedure and deadlines.\n>>de<<\nDieser Text kann von anonymen Benutzern gelesen werden.\nHier koennen mehrsprachige Informationen fuer Antragsteller hinterlegt werden.",{},2012-01-01,,1\r\n'
+            'description,startdate,enddate,strict_deadline\r\n'
+            'dp2012,-,,100,,,,"This text can been seen by anonymous users.\nHere we put mult-lingual information about the study courses provided, the application procedure and deadlines.\n>>de<<\nDieser Text kann von anonymen Benutzern gelesen werden.\nHier koennen mehrsprachige Informationen fuer Antragsteller hinterlegt werden.",2012-01-01,,1\r\n'
             )
         return