Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 7926)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 7927)
@@ -608,5 +608,5 @@
         configuration = SessionConfiguration()
         configuration.academic_session = 2009
-        configuration.acceptance_fee = 200
+        configuration.acceptance_fee = 200.0
         self.app['configuration'].addSessionConfiguration(configuration)
         self.browser.open(self.edit_path)
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7926)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7927)
@@ -568,42 +568,42 @@
         )
 
-    school_fee_base = schema.Int(
+    school_fee_base = schema.Float(
         title = _(u'School Fee'),
-        default = 0,
-        )
-
-    surcharge_1 = schema.Int(
+        default = 0.0,
+        )
+
+    surcharge_1 = schema.Float(
         title = _(u'Surcharge Portal Provider'),
-        default = 0,
-        required = False,
-        )
-
-    surcharge_2 = schema.Int(
+        default = 0.0,
+        required = False,
+        )
+
+    surcharge_2 = schema.Float(
         title = _(u'Surcharge Payment Gateway Provider'),
-        default = 0,
-        required = False,
-        )
-
-    surcharge_3 = schema.Int(
+        default = 0.0,
+        required = False,
+        )
+
+    surcharge_3 = schema.Float(
         title = _(u'Surcharge 3'),
-        default = 0,
-        required = False,
-        )
-
-    clearance_fee = schema.Int(
+        default = 0.0,
+        required = False,
+        )
+
+    clearance_fee = schema.Float(
         title = _(u'Clearance Fee'),
-        default = 0,
-        required = False,
-        )
-
-    booking_fee = schema.Int(
+        default = 0.0,
+        required = False,
+        )
+
+    booking_fee = schema.Float(
         title = _(u'Booking Fee'),
-        default = 0,
-        required = False,
-        )
-
-    acceptance_fee = schema.Int(
+        default = 0.0,
+        required = False,
+        )
+
+    acceptance_fee = schema.Float(
         title = _(u'Acceptance Fee'),
-        default = 0,
+        default = 0.0,
         required = False,
         )
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7926)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7927)
@@ -79,7 +79,7 @@
         )
 
-    amount_auth = schema.Int(
+    amount_auth = schema.Float(
         title = _(u'Amount Authorized'),
-        default = 0,
+        default = 0.0,
         required = True,
         readonly = True,
@@ -103,21 +103,21 @@
     """
 
-    surcharge_1 = schema.Int(
+    surcharge_1 = schema.Float(
         title = _(u'Portal Fee'),
-        default = 0,
+        default = 0.0,
         required = False,
         readonly = True,
         )
 
-    surcharge_2 = schema.Int(
+    surcharge_2 = schema.Float(
         title = _(u'Surcharge 2'),
-        default = 0,
+        default = 0.0,
         required = False,
         readonly = True,
         )
 
-    surcharge_3 = schema.Int(
+    surcharge_3 = schema.Float(
         title = _(u'Surcharge 3'),
-        default = 0,
+        default = 0.0,
         required = False,
         readonly = True,
@@ -137,7 +137,7 @@
         )
 
-    r_amount_approved = schema.Int(
+    r_amount_approved = schema.Float(
         title = _(u'Response Amount Approved'),
-        default = 0,
+        default = 0.0,
         required = False,
         readonly = False,
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7926)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 7927)
@@ -196,5 +196,5 @@
         d = {}
         d['p_item'] = u''
-        d['amount'] = 0
+        d['amount'] = 0.0
         d['error'] = u''
         d['p_session'] = student['studycourse'].current_session
@@ -214,9 +214,9 @@
             d['p_item'] = student['studycourse'].certificate.code
             d['amount'] = academic_session.clearance_fee
-            d['surcharge_1'] = 0 # no portal fee
+            d['surcharge_1'] = 0.0 # no portal fee
         elif category == 'bed_allocation':
             d['p_item'] = self.getAccommodationDetails(student)['bt']
             d['amount'] = academic_session.booking_fee
-            d['surcharge_1'] = 0 # no portal fee
+            d['surcharge_1'] = 0.0 # no portal fee
         return d
 